FUNCTION::UBACKTRACE(3stap)

NAME
function::ubacktrace - Hex backtrace of current user-space task stack.

SYNOPSIS

    ubacktrace:string()

ARGUMENTS

None

DESCRIPTION

Return a string of hex addresses that are a backtrace of the stack of the current task. Output may be truncated as per maximum string length. Returns empty string when current probe point cannot determine user backtrace. See backtrace for kernel traceback.

NOTE

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

SEE ALSO
tapset::ucontext-unwind(3stap)